Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.schema
Class IndexInfo

    java.lang.Object
      |
      +--kodo.jdbc.schema.IndexInfo

public class IndexInfo
extends Object

Holder for information about an index.

Since:
  3.0.0
See Also:
  `DBDictionary.getIndexInfo(java.sql.DatabaseMetaData, java.lang.String, java.lang.String, java.lang.String, boolean, boolean, java.sql.Connection)`, `SchemaGenerator`

Constructor Summary
`IndexInfo()`
`IndexInfo(ResultSet meta)`

Method Summary
`String` | `getColumnName()`
`String` | `getIndexName()`
`String` | `getSchemaName()`
`String` | `getTableName()`
`boolean` | `getUnique()`
`void` | `setColumnName(String columnName)`
`void` | `setIndexName(String indexName)`
`void` | `setSchemaName(String schemaName)`
`void` | `setTableName(String tableName)`
`void` | `setUnique(boolean unique)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexInfo

    public IndexInfo()

### IndexInfo

    public IndexInfo(ResultSet meta)
              throws SQLException

Method Detail

### setSchemaName

    public void setSchemaName(String schemaName)

### getSchemaName

    public String getSchemaName()

### setTableName

    public void setTableName(String tableName)

### getTableName

    public String getTableName()

### setIndexName

    public void setIndexName(String indexName)

### getIndexName

    public String getIndexName()

### setColumnName

    public void setColumnName(String columnName)

### getColumnName

    public String getColumnName()

### setUnique

    public void setUnique(boolean unique)

### getUnique

    public boolean getUnique()

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.